import { IProjectBuilder, IProjectBuilderOptions } from '../types';
export interface IceJsCcsProjectBuilderOptions extends IProjectBuilderOptions {
}
export default function createNormalReactProjectBuilder(options?: IceJsCcsProjectBuilderOptions): IProjectBuilder;
export declare const plugins: {
    containerClass: import("../types").BuilderComponentPluginFactory<unknown>;
    containerInitState: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerInitState").PluginConfig>;
    containerInjectContext: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerInjectContext").PluginConfig>;
    containerInjectUtils: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerInjectUtils").PluginConfig>;
    containerInjectI18n: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerInjectI18n").PluginConfig>;
    containerInjectDataSourceEngine: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerInjectDataSourceEngine").PluginConfig>;
    containerLifeCycle: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerLifeCycle").PluginConfig>;
    containerMethod: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/containerMethod").PluginConfig>;
    jsx: import("../types").BuilderComponentPluginFactory<import("../plugins/component/normalreact/jsx").PluginConfig>;
    commonDeps: import("../types").BuilderComponentPluginFactory<unknown>;
    /** @deprecated Please use commonDeps */
    reactCommonDeps: import("../types").BuilderComponentPluginFactory<unknown>;
};
